viernes, 28 de diciembre de 2012

¿Cómo instalo Skype 4.2 en Ubuntu 10.10 de 64 bits?


El 30 de diciembre de 1973 y con motivo del fin de año, Juan Perón expone ampliamente sobre cómo instalar la versión 4.2 de Skype en Ubuntu Lucid/Maverick de 64 bits, y programa un lanzador para no tener problemas para darle arranque.

¡Trabajadores!

En esta ocasión deseo brindar por todos en un nuevo año que, entiendo, será de plena felicidad para todos nosotros.
En un claro movimiento pendular que nos aleja tanto de uno como de otro de los imperialismos, el Justicialismo se soslaya en un justo medio. Y una representación clara de este proceder poítico es Skype, el famoso videocomunicador y cliente de chat del ringtone cargoso. Pocos saben que cuando la mandé al país al fin de "mover" las cosas para mi retorno, me comunicaba con Isabelita a través de Skype de 64 bits en Ubuntu Maverick. No podía ser menos, pues era la herramienta de la derecha para comunicarnos en un mundo capitalista.
Indudablemente, Skype cuenta con un cliente oficial de 64 bits en los repositorios para Ubuntu Maverick Merkaat, que quedó en la versión 2.2. Sin embargo, la doctrina que tiene el Justicialismo no la tienen todos. Es natural que ello suceda, sino el mundo sería un lugar muy aburrido. La última novedad es que $kype se vendió, y por lo tanto ahora adopta  la integración de Micro$oft Me$$enger al Skype, con la amenaza de cerrar el servidor de mensajería oligopólico. Siempre fueron bolas que se corrían entre los generales de brigada. En todo caso, lo único que queda es adaptarse e instalar la última versión 4.2 del cliente en Ubuntu Maverick de 64 bitios.


Como primer medida, purgamos y desinstalamos cualquier versión anterior que tuviésemos de Skype. Desde la consola podremos hacerlo con los siguientes comandos de organización, atentos a que esto eliminará el archivo de configuraciones y conversaciones anteriores de Skype:

sudo apt-get purge skype
rm -r .Skype

También desde la Terminal podremos descargar algunas de las librerías estándares necesarias para ejecutar Skype 4.1 de en Lucid/Maverick de 64 bits. Normalmente, éstas ya estarán instaladas en nuestra distribución, pero en algunas condiciones podría no serlo así, por lo cual siempre es útil pedir que se instalen. Lo haremos con el siguiente Comando de Organización:

sudo apt-get install lib32stdc++6 lib32asound2 ia32-libs libc6-i386 lib32gcc1

Ahora podremos descargar el paquete recomendado de Skype 4.1 para su ejecución en Lucid o Maverick de 64 bits: se trata del paquete Generic Dynamic. Para iniciar su descarga desde la web oficial podremos hacer clic aquí. Mientras se descarga, es útil comprender que al momento de escribir, la versión Dynamic oficial es skype-4.1.0.20 "multiarquitectura". Naturalmente, en caso de descargar una versión más moderna y numéricamente superior, habrán de adaptar en consecuencia el nombre de la carpeta Skype-x.x.x.xx.

Una vez finalizada la descarga habrán recibido un archivo skype-4.1.0.20.tar.bz2, el cual normalmente quedará depositado en la carpeta ~/Descargas. Para facilitar todo lo moveremos a nuestra Carpeta de Usuario y lo descomprimimos con estos comandos:

cd ~/Descargas
mv ~/Descargas/skype-4.2.0.11.tar.bz2 ~/
tar -xjvf skype-4.2.0.11.tar.bz2

Lógicamente, tras estos pasos ello veremos aparecer en nuestra Carpeta Personal una subcarpeta llamada "skype-4.2.0.11", en la cual colocará los ficheros de la nueva versión de Skype.


Ahora bien, es importante comprender que la versión Generic Dynamic de Skype carece de ciertas librerías obligatorias en esta versión 4.1, las librerías libQtWebKit y libphonon. Ahora bien, nuestro Ubuntu Lucid o Maverick de 64 bits cuenta con estas librerías, pero las mismas no servirán para Skype, pues se encuentran compiladas para software de 64 bits. Por tal motivo, para poder correr un programa nativo de 32 bits como lo es Skype, hemos de hacernos específicamente con las versiones de 32 bits de las susodichas librerías. incorporándolas a su carpeta.

Con esto en mente y como primer medida, dentro de la carpeta de Skype crearemos una carpeta llamada libs. Es sencillo hacerlo desde la consola ingresando:

cd ~/skype-4.2.0.11
mkdir libs

Como segundo proceder, descargaremos las librerías ya empaquetadas desde los repositorios oficiales de la distribución Debian.  Es simple lograrlo desde la consola mediante los comandos:

wget http://security.ubuntu.com/ubuntu/pool/main/q/qt4-x11/libphonon4_4.6.2-0ubuntu5.5_i386.deb

wget http://ftp.us.debian.org/debian/pool/main/q/qt4-x11/libqt4-webkit_4.6.3-4+squeeze1_i386.deb

En caso de usar Ubuntu 10.10 o Debian Squeeze de 32 bits, también debemos descargar con este comando esta otra librería:

wget http://ftp.us.debian.org/debian/pool/main/q/qt4-x11/libqt4-xmlpatterns_4.6.3-4+squeeze1_i386.deb

Estas órdenes descargarán sendos paquetes DEB con las librerías de 32 bits completas. Lo importante entender que no debemos instalar estos dos paquetes DEB; simplemente debemos "abrirlos y sacar" algunos archivos que los mismos contienen. Para ello haremos clic con el botón derecho sobre cada paquete y elegimos "Abrir con Gestor de Archivadores".

Ahora bien, del archivo  libphonon4_4.6.2-0ubuntu5.5_i386.deb es necesario extraer los siguientes archivos (podemos usar el Escritorio como lugar intermedio):
  • /usr/lib/libphonon.so.4
  • /usr/lib/libphonon.so.4.4
  • /usr/lib/libphonon.so.4.4.0
Del archivo libqt4-webkit_4.6.3-4+squeeze1_i386.deb extraemos los siguientes ficheros
  • usr/lib/libQtWebKit.so.4
  • usr/lib/libQtWebKit.so.4.6
  • usr/lib/libQtWebKit.so.4.6.3
Del archivo libqt4-xmlpatterns_4.6.3-4+squeeze1_i386.deb extraemos los siguientes archivos.

  • /usr/lib/libQtXmlPatterns.so.4
  • /usr/lib/libQtXmlPatterns.so.4.6
    /usr/lib/libQtXmlPatterns.so.4.3

Estos seis archivos de librerías (o nueve, si tenemos Ubuntu de 32 bits o Debian Squeeze) que acabamos de extraer debemos colocarlos en la recientemente creada carpeta ~/skype-4.2.0.11/libs.
Pues bien, el problema radicaba en que Micro$oft no indicaba manera fehaciente para asignar a Skype estas librerías para que las encontrara correctamente y las ejecutara. Pero el Justicialismo ha dando siempre la solución que los Pueblos anhelan y el combate que el Capital detesta. Por tal motivo crearemos un archivo arrancador llamado skype.sh y le incluiremos un código peronista de programación, menester para tan elevada divisa. Desde el editor Nano en la Terminal crearemos el archivo con:

nano ~/skype-4.2.0.11/skype.sh

Copiamos y pegamos el siguiente texto en Nano:

#!/bin/sh
#

# Copyright (c) 2013 Ubuntu Peronista.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Este programa lanzará Skype 4.2.0.11 en Ubuntu Lucid
# o Maverick de 64 bits. Está creado por Ubuntu Peronista
# bajo Licencia GPLv2.

# This program will act as a launcher for Skype 4.1.0.20
# for Ubuntu Lucid or Maverick 64 bits. It is created bg
# Ubuntu Peronista under GNU GPLv2 License.


# Cambiar al directorio de Skype, cualquiera sea.
# - Change to Skype directory, whatever it could be.
CANONPATH=`readlink -f "$0"`
cd "`dirname "$CANONPATH"`"

# Usar las librerías de la carpeta "/libs" de Skype.
# Use the libraries from Skype/libs folder.
export LD_LIBRARY_PATH=libs

# Darle piola al Skype!
# Now start Skype!
./skype $@


Guardamos con Ctrl+O y Enter y salimos del editor con Ctrl+X. A continuación otorgaremos permisos de ejecución al fichero arrancador skype.sh, con el siguiente Comando de Organización:

sudo chmod -x ~/skype-4.2.0.11/skype.sh

Como última acción, para mayor comodidad conviene crear un lanzador en el menú Aplicaciones / Internet, que dirija a este programa "~/skype-4.2.0.11/skype.sh" (y porqué no, un lanzador en el panel superior).
Naturalmente, una vez que arranquemos skype.sh, arrancará el programa Skype sin problema alguno, gracias al Justicialismo. Muichos de ustedes ya conocerán el uso del software en general, que involucra loguearse con su cuenta, y aceptar la leonina licencia, que os convertirá en lacayos de la sinarquía
 

Una vez cumplimentada la venta del alma, podremos loguearnos con una cuenta estándar de $kype o con una de Window$ Live Me$$enger/Outlook.

En esta vesión en particular, los ajustes de pantalla vienen simulando la interfaz de ventanas de Window$. Sin embargo, podremos configurar el estilo GTK+ con la consecuente mejora estética y adaptabilidad a un entorno de GNU con Linux.
Por todas estas cosas, considero que esta versión de Skype debe pulirse, y presentarse un empaquetado DEB que funcione correctamente sin tener que hacer este tipo de menesteres, incluso para las versiones más antiguas de Ubuntu como la 10.04/10.1064bits. Poco costaría hacerlo, mas la falta de voluntad no es otra cosa que una falta de voluntad para con el Pueblo Trabajador, a quien el Justicialismo nunca ha dejado en la estacada.

Corregir problemas de sonido:

Si al ejecutar Skype 4.2 y reproducir sonidos (conversaciones o sonidos de alerta) se produce una distorsión ("fritura") en el resto de los sonidos de Ubuntu, puede deberse a la configuración de PulseAudio, el servidor de sonido empleado por Skype 4.2 por defecto.

Para corregir dicho error hemos de modificar su configuración específica. Abrimos una Terminal con Ctrl+Alt+T e ingresamos:

sudo nano /etc/pulse/default.pa

Al ingresar nuestra contraseña se abrirá el editor Nano con el archivo default.pa de configuración. Activamos la función "Buscar" con Ctrl+w, y le solicitamos la siguiente cadena:

load-module module-udev-detect

...Nano la encontrará dentro del archivo. Debemos modificar esta línea para que quede así:

load-module module-udev-detect tsched=0

Una vez modificada guardamos y cerramos Nano (Ctrl+o y Ctrl+x). Ahora podremos reiniciamos el equipo con:

sudo reboot

...y a la vuelta, se habrá solucionado el inconveniente de sonido, funcionando Skype correctamente.

16 comentarios:

  1. General! Esta solución es una obra maestra, en ningún lado se vio como resolver el problema para arrancar skype desde un launcher.

    Antes tenia que poner sudo LD_LIBRARY_PATH=/home/usuario/skype-4.1/:$LD_LIBRARY_PATH /home/usuario/skype-4.1/skype, pero gracias a este script entro de una y con un lanzador en la pantalla. La prolijidad ante todo, general!

    ResponderEliminar
    Respuestas
    1. Estimado Anónimo:

      Atentos que los usuarios de las versiones con Gnome de Ubuntu deben aún contar con el comunicador Skype, tomamos el problema de darle un lancher realmente efectivo. Si no fuese por la Doctrina del Justicialismo, no podría utilizar Skype 4.1 en su equipo libre de 64 bitios.

      Atte.

      Juan Perón

      Eliminar
  2. Gracias por esta ayuda para utilizar skype, porque la revolución es permanente

    ResponderEliminar
    Respuestas
    1. Estimada Lisilla/Patty:

      La verdadera Liberación es aquella que además de contar con las mentes y los corazones del Pueblo, cuenta con las memorias y CPUs de nuestro hardware. No en vano he dicho que las revoluciones pueden hacerse con sangre o con tiempo.

      Atte.

      Juan Perón

      Eliminar
  3. Gracias por ayudarnos a utilizar el Skype en Ubuntu de 64 bits, porque la revolución es permanente, buen año Ubuntu Peronista!!!

    ResponderEliminar
  4. Muchas gracias por el tutorial! El que figura en la página de Skype no sirve, este tiene la posta.
    Se agradece y muy buena la idea de la página.

    ResponderEliminar
  5. Muchas gracias por el tutorial.

    Funciona perfectamente con Debian 6 64bits. El problema que tengo es que el script no me funciona...cuando lo ejecuto desde un lanzador no hace nada....

    Os dejo ejemplo skype.sh

    # Este programa lanzará Skype 4.1.0.20
    # Cambiar al directorio de Skype, cualquiera sea.
    # - Change to Skype directory, whatever it could be.
    CANONPATH=`readlink -f "$0"`
    cd "`/opt/skype-4.1.0.20/"$CANONPATH"`"

    # Usar las librerías de la carpeta "/libs" de Skype.
    # Use the libraries from Skype/libs folder.
    export LD_LIBRARY_PATH=libs

    # Darle piola al Skype!
    # Now start Skype!
    ./skype $@

    ResponderEliminar
    Respuestas
    1. Estimado Juan Sallent:

      En el caso de Debian 6 de 64 bits, debes hacer lo siguiente:

      1) Descarga la versión General Dynamic de Skype 4.1 (http://www.skype.com/es/download-skype/skype-for-linux/downloading/?type=dynamic).

      2) Descomprime el archivo skype-4.1.0.20 en tu carpeta de usuario. Se creará una carpeta llamada "skype-4.1.0.20".

      2) Entra a la carpeta "skype-4.1.0.20" y crea allí adentro otra carpeta llamada "libs".

      3) Nuevamente desde la Terminal, Instala las librerías de 32 bits de Debian con el siguiente Comando de Organización:

      sudo apt-get install lib32asound2 ia32-libs ia32-libs-gtk

      4) Descarga a tu Escritorio los paquetes de la librerías QT para 32 bits de Debian que son necesarios para que arranque Skype en Debian 6. Puedes hacerlo mediante:

      cd ~/Escritorio

      wget http://ftp.us.debian.org/debian/pool/main/q/qt4-x11/libqt4-webkit_4.6.3-4+squeeze1_i386.deb

      wget http://ftp.us.debian.org/debian/pool/main/q/qt4-x11/libqt4-phonon_4.6.3-4+squeeze1_i386.deb

      wget http://ftp.us.debian.org/debian/pool/main/q/qt4-x11/libqt4-xmlpatterns_4.6.3-4+squeeze1_i386.deb

      5) Abre el paquete libqt4-webkit_4.6.3-4+squeeze1_i386.deb que descargaste anteriormente usando el Gestor de Archivadores, y copia el siguiente archivo dentro de la carpeta "libs" que acabas de crear en la carpeta de Skype:

      usr/lib/libQtWebKit.so.4 usr/lib/libQtWebKit.so.4.6 usr/lib/libQtWebKit.so.4.6.3

      6) Abre el libqt4-phonon_4.6.3-4+squeeze1_i386.deb que descargaste al Escritorio con el Gestor de archivadores, y coloca en la carpeta "libs" de Skype colocarás el siguiente archivo:

      usr/lib/libphonon.so.4 usr/lib/libphonon.so.4.3 usr/lib/libphonon.so.4.3.1

      7) Abrirás el archvo libqt4-xmlpatterns_4.6.3-4+squeeze1_i386.deb que acabas de descargar al Escritorio con el Gestor de Archivadores, y copia en la carpeta "libs" de Skype, el archivo:

      usr/lib/libQtXmlPatterns.so.4 usr/lib/libQtXmlPatterns.so.4.6 usr/lib/libQtXmlPatterns.so.4.6.3

      8) Crea el archivo de arranque "skype.sh" como figura en el artículo.

      9) Asegúrate de darle permisos de Ejecución al archivo "skype.sh". Puedes hacerlo fácilmente desde Nautilus haciendo clic con botón derecho sobre él, y luego eligiendo "Propiedades", y en la solapa "Permisos", tilda la opción "Permitir ejecutar como Programa".

      Atte.
      Juan Perón

      Eliminar
  6. muchas gracias por esto, pero tengo un pequeño problema, me sale el siguiente erro:

    error while loading shared libraries: libphonon.so.4: cannot open shared object file: No such file or directory

    cómo puedo solucionarlo??

    ResponderEliminar
    Respuestas
    1. Estimado Eduardo Campos de Diego:

      Este tutorial está efectuado para Ubuntu 10.10, una versión ya antigua de Ubuntu. Para las versiones modernas deberás utilizar los instaladores proporcionados oficialemente en la web de Skype.

      En el caso del error que comentas, si usas Ubuntu 10.10, se debe a que debes descargar la librería libphonon.so.4 como se indica en este artículo. En el artículo se explica cómo crear una carpeta "lib" dentro de la carpeta de Skype, y cómo colocar dentro de ellas las 6 librerías necesarias para su ejecución. Esto es así porque una vez que coloques libphonom.so.4, te continuará pidiendo otras 5 librerías mas, y no podrás hacer nada hasta que no las tengas todas.

      Además, se explica cómo instruirle a la computadora para que ejecute Skype viendo la carpeta "libs" para buscar allí las 6 "librerías perdidas". Sólo haciendo esto podrás ejecutar el programa sin inconvenientes en Ubuntu 10.10.

      Atte.

      Juan Perón

      Eliminar
  7. Muchas gracias General!
    El pueblo y mi empresa se lo agradecen!!!

    ResponderEliminar
  8. Generalisimo:

    Instalo el Skype 4.2 descargando el .deb desde los repositorios oficiales y no me reconoce le webcam.

    La misma es reconocida por el SO (chequedo por Cheese). Todo esto corriendo sobre un Ubuntu 12.04 de 64 bits.

    He dado con varias intentonas de solucion que pude encontrar en Googleo, pero ninguna parece funcionar. Tiene algun dato o punta de ovillo desde la cual poder ir desenredando este asunto.

    Atte!

    ResponderEliminar
  9. Generalisimo:

    Instalo el Skype 4.2 descargando el .deb desde los repositorios oficiales y no me reconoce le webcam.

    La misma es reconocida por el SO (chequedo por Cheese). Todo esto corriendo sobre un Ubuntu 12.04 de 64 bits.

    He dado con varias intentonas de solucion que pude encontrar en Googleo, pero ninguna parece funcionar. Tiene algun dato o punta de ovillo desde la cual poder ir desenredando este asunto.

    Atte!

    ResponderEliminar
    Respuestas
    1. Estimado Pablo Andrés:

      Compruebe que en la configuración del dispositivo de video, la web reciba la dirección de dispositivo que corresponda. Normalmente GNU con Linux asigna /dev/video0 a la webcam, pero en ocasiones puede que tal caso no sea el adecuado (por ejemplo, si conviven dos dispositivos, habrá de indicar cuál es el adecuado).

      Por ejemplo, si existe una capturadora de video, puede que la webcam reciba otro ID de dispositivo, como /dev/video1 por ejemplo, haciendo necesario indicarlo en el apartado correspondiente que Skype pone a su disposición.

      Atte.

      Juan Perón
      Líder del Justicialismo

      Eliminar
  10. Estimado General:
    Perdón que reflote este post, pero ya no sé como ni donde más buscar. Mi consulta, tiene idea de como puedo hacer funcionar la versión 4.2.0.11 de Skype en Ubuntu 10.04 pero de 32 bits???
    Pasa que en una pyme que hemos migrado, las máquinas no dan para más que la versión mencionado de Ubuntu (10.04), y necesitan skype como cliente de MSN y SKYPE.
    Desde ya, muchas gracias

    ResponderEliminar
    Respuestas
    1. Estimado Gabriel Tosar:

      Si, funcionará perfectamente. En tu caso será sencillo, simplemente descarga e instala la versión 4.2.11 para Ubuntu 10.04 de 32 bits desde la página oficial de descargas.
      http://www.skype.com/es/download-skype/skype-for-linux/downloading/?type=ubuntu32

      Con ello podrás acceder a Skype y MSN.

      Atte.
      Juan Perón

      Eliminar